CREATE OR REPLACE TABLE country (country_id CHAR(2) PRIMARY KEY, country_name VARCHAR(100) NOT NULL);

CREATE OR REPLACE TABLE state_province (state_code CHAR(2) PRIMARY KEY, 
NAME VARCHAR(50) NOT NULL);

CREATE OR REPLACE TABLE weather_station(station_id CHAR(12) PRIMARY KEY,
latitude float NOT NULL,
longitude float NOT NULL,
elevation FLOAT NOT NULL,
station_state CHAR(2) FOREIGN KEY REFERENCES state_province (state_code) NULL,
station_name VARCHAR (40) NOT NULL,
gsn CHAR(3) NULL,
hcn_crn CHAR(3) NULL,
wmo_id CHAR(3) NULL);


CREATE OR REPLACE TABLE station_data_inventory (entry_id INT IDENTITY PRIMARY KEY,
station_id CHAR(12) FOREIGN KEY REFERENCES weather_station (station_id),
latitude float NOT NULL,
longitude float NOT NULL,
elevation FLOAT NOT NULL,
element VARCHAR(4) NOT NULL,
first_year INT,
last_year INT);

